# Basic test set
[[deqp]]
deqp = "/data/deqp/modules/gles2/deqp-gles2"
caselists = ["/data/deqp/mustpass/gles2-master.txt"]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]
version_check = "GL ES 3.2.*git"
renderer_check = "FD630"

[[deqp]]
deqp = "/data/deqp/modules/gles3/deqp-gles3"
caselists = ["/data/deqp/mustpass/gles3-master.txt"]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]

[[deqp]]
deqp = "/data/deqp/modules/gles31/deqp-gles31"
caselists = ["/data/deqp/mustpass/gles31-master.txt"]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]

# Note that KHR-GL3* test sets include all tests from the previous
# version, so we only need to run one test list (unlike dEQP-GLES,
# where the test sets are separate).
[[deqp]]
deqp = "/data/deqp/external/openglcts/modules/glcts"
caselists = [
    "/data/deqp/mustpass/gles2-khr-master.txt",
    "/data/deqp/mustpass/gles3-khr-master.txt",
    "/data/deqp/mustpass/gles31-khr-master.txt",
    "/data/deqp/mustpass/gl33-master.txt",
]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]


# force-gmem testing
[[deqp]]
deqp = "/data/deqp/modules/gles31/deqp-gles31"
caselists = ["/data/deqp/mustpass/gles31-master.txt"]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]
fraction = 5
prefix = "gmem-"
[deqp.env]
FD_MESA_DEBUG = "gmem"


# force-bypass testing
[[deqp]]
deqp = "/data/deqp/modules/gles31/deqp-gles31"
caselists = ["/data/deqp/mustpass/gles31-master.txt"]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]
# note that this is in addition to normal flakes
flakes = ["data/install/freedreno-a630-bypass-flakes.txt"]
fraction = 5
prefix = "bypass-"
[deqp.env]
FD_MESA_DEBUG = "sysmem"


# noubo testing
[[deqp]]
deqp = "/data/deqp/modules/gles31/deqp-gles31"
caselists = ["/data/deqp/mustpass/gles31-master.txt"]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
include = ["functional.*ubo"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]
prefix = "noubo-"
[deqp.env]
IR3_SHADER_DEBUG = "nouboopt"


# 565-nozs
[[deqp]]
deqp = "/data/deqp/modules/gles3/deqp-gles3"
caselists = ["/data/deqp/mustpass/gles3-565-no-depth-no-stencil.txt"]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgb565d0s0ms0",
]
prefix = "565-nozs-"

[[deqp]]
deqp = "/data/deqp/modules/gles31/deqp-gles31"
caselists = ["/data/deqp/mustpass/gles31-565-no-depth-no-stencil.txt"]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgb565d0s0ms0",
]
prefix = "565-nozs-"

# multisample
[[deqp]]
deqp = "/data/deqp/modules/gles3/deqp-gles3"
caselists = ["/data/deqp/mustpass/gles3-multisample.txt"]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms4",
]
prefix = "multisample-"

[[deqp]]
deqp = "/data/deqp/modules/gles31/deqp-gles31"
caselists = ["/data/deqp/mustpass/gles31-multisample.txt"]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms4",
]
prefix = "multisample-"

# spilling testing
[[deqp]]
deqp = "/data/deqp/modules/gles2/deqp-gles2"
caselists = ["/data/deqp/mustpass/gles2-master.txt"]
skips = ["data/install/freedreno-a630-premerge-skips.txt"]
include = ["functional.shaders"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]
prefix = "spill-"
[deqp.env]
IR3_SHADER_DEBUG = "spillall"
